#include "MyShiftOut.h"

/********************************************************************************
 */
void MyOutPin::init(int pair, int chip, int pin)
{
  _pair = pair;
  _chip = chip;
  _pin = pin;
  _hexVal = 1 << _pin;

  _action = actOff;
  _timing = 0;
  _otherPinOut = 0;
  _lastChange = 0;
  _currentState = false;
  nextInList = 0;
}


/********************************************************************************
 */
int MyOutPin::getPair()
{
  return _pair;
}

/********************************************************************************
 */
int MyOutPin::getChip()
{
  return _chip;
}

/********************************************************************************
 */
int MyOutPin::getPin()
{
  return _pin;
}

/********************************************************************************
 */
void MyOutPin::turnOn()
{
  _action = actOn;
}

/********************************************************************************
 */
void MyOutPin::turnOff()
{
  _action = actOff;
}

/********************************************************************************
 */
void MyOutPin::setFlash(int timing)
{
  _action = actFlash;
  _timing = timing;
}

/********************************************************************************
 */
void MyOutPin::setSame(MyOutPin* asThis)
{
  _action = actSame;
  _otherPinOut = asThis;
}

/********************************************************************************
 */
void MyOutPin::setOpposite(MyOutPin* asThis)
{
  _action = actOpposite;
  _otherPinOut = asThis;
}

/********************************************************************************
 */
void MyOutPin::setCycle(MyOutPin* nextInCycle, int timing)
{
  _action = actCycle;
  _otherPinOut = nextInCycle;
  _timing = timing;
}

/********************************************************************************
 */
int MyOutPin::getAction()
{
  return _action;
}

